Page 95 of 230 FirstFirst ... 45859394959697105145195 ... LastLast
Results 941 to 950 of 2295

Thread: HOWTO: Install and use the latest FFmpeg and x264

  1. #941
    Join Date
    Sep 2006
    Beans
    3,470

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by trinay123 View Post
    I have installed PHP FFMPEG. It is working perfectly. But I have tried after libx264 install it is showing error? there is no compliation. What I can do?
    Show any errors you are getting. I can attempt to help you if it is a FFmpeg or x264 error, but I know nothing of PHP.

  2. #942
    Join Date
    Jan 2010
    Location
    India
    Beans
    3
    Distro
    Kubuntu 9.10 Karmic Koala

    Smile Re: HOWTO: Install and use the latest FFmpeg and x264

    Thank you very much

  3. #943

    Re: HOWTO: Install and use the latest FFmpeg and x264

    I just installed the Lucid Lynx beta and followed this tutorial. However, I'm not able to get AAC encoding.

    I've double checked all the steps, and then I looked at the supported formats reported by ffmpeg. I thought this was a bit strange:

    arrakis:~/src/ffmpeg$ ffmpeg -formats|grep aac
    FFmpeg version SVN-r22652, Copyright (c) 2000-2010 the FFmpeg developers
    built on Mar 24 2010 11:14:12 with gcc 4.4.3
    configuration: --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libtheora --enable-libx264 --enable-libxvid --enable-x11grab
    libavutil 50.12. 0 / 50.12. 0
    libavcodec 52.60. 0 / 52.60. 0
    libavformat 52.57. 1 / 52.57. 1
    libavdevice 52. 2. 0 / 52. 2. 0
    libswscale 0.10. 0 / 0.10. 0
    libpostproc 51. 2. 0 / 51. 2. 0
    D aac raw ADTS AAC

    I did compile it with libfaac but it isn't compiled in?

    Does anybody have any ideas or suggestions? Anybody have luck with Lucid and encoding aac? Thanks much!!

  4. #944
    Join Date
    Sep 2006
    Beans
    3,470

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by codenomad View Post
    I just installed the Lucid Lynx beta and followed this tutorial. However, I'm not able to get AAC encoding.

    I've double checked all the steps, and then I looked at the supported formats reported by ffmpeg. I thought this was a bit strange:

    arrakis:~/src/ffmpeg$ ffmpeg -formats|grep aac
    ...
    Does anybody have any ideas or suggestions? Anybody have luck with Lucid and encoding aac? Thanks much!!
    Did you attempt a test encode? Try ffmpeg -codecs | grep aac. The codecs list was separated from the formats list a little while ago.

  5. #945

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Thanks for your reply, and my bad! You're right, it is there:

    Code:
    codenomad@arrakis:~$ ffmpeg -codecs|grep aac
    FFmpeg version SVN-r22652, Copyright (c) 2000-2010 the FFmpeg developers
      built on Mar 24 2010 11:14:12 with gcc 4.4.3
      configuration: --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libtheora --enable-libx264 --enable-libxvid --enable-x11grab
      libavutil     50.12. 0 / 50.12. 0
      libavcodec    52.60. 0 / 52.60. 0
      libavformat   52.57. 1 / 52.57. 1
      libavdevice   52. 2. 0 / 52. 2. 0
      libswscale     0.10. 0 /  0.10. 0
      libpostproc   51. 2. 0 / 51. 2. 0
     DEA    aac             Advanced Audio Coding
      EA    libfaac         libfaac AAC (Advanced Audio Codec)
    I still have the problem though..

    Code:
    codenomad@arrakis:~$ vlc
    VLC media player 1.0.5 Goldeneye
    [0x9b8d668] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
    x264 [info]: using cpu capabilities: none!
    x264 [info]: profile Main, level 5.1
    [0xa0c4880] avcodec encoder error: cannot find encoder MPEG AAC Audio
    *** Your FFMPEG installation is crippled.   ***
    *** Please check with your FFMPEG packager. ***
    *** This is NOT a VLC media player issue.   ***
    [0xa06be00] stream_out_transcode stream out error: cannot find audio encoder (module:any fourcc:mp4a)
    I have reinstalled vlc as well, but still get the same error. Any ideas? Thanks!!

  6. #946
    Join Date
    Dec 2009
    Beans
    Hidden!
    Distro
    Kubuntu 10.04 Lucid Lynx

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Hi, Where did you get the latest VLC 1.05?
    The finding of unity in variety is really what we call knowledge..... Vivekananda.

  7. #947

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Hi, thanks for responding. I got the 1.0.5 "Goldeneye" version straight from the default repos in Lucid.

  8. #948
    Join Date
    Sep 2006
    Beans
    3,470

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by codenomad View Post
    Hi, thanks for responding. I got the 1.0.5 "Goldeneye" version straight from the default repos in Lucid.
    VLC from the repository won't use your compiled FFmpeg. I don't use VLC but perhaps installation of the libavcodec-extra-52 package will fix this issue (I'm not sure if that will help or not). Or see this detailed guide by andrew.46:

    Howto: Build the development version of vlc under Ubuntu

  9. #949
    Join Date
    Dec 2005
    Beans
    733
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Is it just me or has developement/updates to x264 stopped/slowed down?
    git pull reports that everything is uptodate.
    Almost 3 weeks without an update to it.
    My build is
    x264 0.88.1471 1144615

    Just wondering if its just me.

  10. #950
    Join Date
    Dec 2005
    Location
    St. Petersburg, FL
    Beans
    521
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by cor2y View Post
    Is it just me or has developement/updates to x264 stopped/slowed down?
    git pull reports that everything is uptodate.
    Almost 3 weeks without an update to it.
    My build is
    x264 0.88.1471 1144615

    Just wondering if its just me.
    Nope, not just you. The last commit was on Feb 26th.

    There's comments on Doom9 and Doom10 about things being committed locally or being ready for the next release, though. So it is being worked on, but I guess maybe the features are so dependent on interworking that it has to be done all at once instead of incrementally. Or maybe not, I don't know, and there isn't any posting I can find relating to the lack of commits this past month either.

    But I wouldn't say it's 'stopped'. SoC participation for this year was announced on the 18th.

Page 95 of 230 FirstFirst ... 45859394959697105145195 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •